Skip to main content
System Management/Single Sign-On Server Interfaces
GETSingle Sign-On Server InterfacesSince 5.0.0SynchronousAuth Required

Get the Client Secret of an OAuth2 Client

Get the Client Secret of an OAuth2 Client

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    OAuth2 client UUID

Query Parameters

  • systemTagsList

    System tags

  • userTagsList

    User tags

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    Whether the get operation succeeded

  • clientSecretStringRequired

    Client Secret of the OAuth2 client

  • errorErrorCodeRequired

    Error code. If this field is not null, the operation failed. If the operation succeeds, this field is null. For details, see error

    • codeStringRequired

      Error code, a globally unique identifier of the error, for example, SYS.1000 or HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed information about the error

    • elaborationStringRequired

      Reserved field. The default value is null

    • opaqueLinkedHashMapRequired

      Reserved field. The default value is null

    • causeErrorCodeRequired

      Root error, which is the source error that caused the current error. If there is no source error, this field is null

Endpoint

GET/zstack/v1/oauth2/clients/{uuid}/client-secret

/zstack/v1/oauth2/clients/{uuid}/client-secret

Operation ID

GetOAuthClientSecret

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/oauth2/clients/{uuid}/client-secret?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "clientSecret": "exampleClientSecret" }

Change History

This API has no change history records yet.

View all change history